Name:                libgsasl
Version:             1.10.0
Release:             2
Summary:             GNU SASL library
License:             LGPLv2+
URL:                 https://www.gnu.org/software/gsasl/
Source0:             https://ftp.gnu.org/gnu/gsasl/%{name}-%{version}.tar.gz
Source1:             https://ftp.gnu.org/gnu/gsasl/%{name}-%{version}.tar.gz.sig
Patch0:              CVE-2022-2469.patch
BuildRequires:       gcc krb5-devel libgcrypt-devel libidn-devel libntlm-devel pkgconfig
%description
The library includes support for the SASL framework
and at least partial support for the CRAM-MD5, EXTERNAL,
GSSAPI, ANONYMOUS, PLAIN, SECURID, DIGEST-MD5, LOGIN,
and NTLM mechanisms.

%package        devel
Summary:             Development files for %{name}
Requires:            %{name}%{?_isa} = %{version}-%{release} pkgconfig
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-rpath --with-gssapi-impl=mit
%{make_build}

%install
%{make_install}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang %{name}
%ldconfig_scriptlets

%files -f %{name}.lang
%doc AUTHORS NEWS README THANKS
%license COPYING COPYING.LIB
%{_libdir}/libgsasl.so.*

%files devel
%license COPYING COPYING.LIB
%{_includedir}/gsasl*
%{_libdir}/libgsasl.so
%{_libdir}/pkgconfig/libgsasl.pc

%changelog
* Wed Mar 27 2024 yaoxin <yao_xin001@hoperun.com> - 1.10.0-2
- Fix CVE-2022-2469

* Fri Apr 28 2023 wangkai <13474090681@163.com> - 1.10.0-1
- Update to 1.10.0

* Tue Sep 7 2021 zhengyaohui <zhengyaohui1@huawei.com> - 1.8.1-1
- package init
